@LICENCE@

#ifndef @HEADDEF@_H
#define @HEADDEF@_H

// -- Core stuff
#include <Viewer.h>

class QWidget;

class @VIEWERCLASSNAME@ : public camitk::Viewer {
    Q_OBJECT

public:

    /** @name Constructors/Destructors
      */
    /// @{
    /** construtor. */
    Q_INVOKABLE @VIEWERCLASSNAME@(QString name);

    /** destructor */
    virtual ~@VIEWERCLASSNAME@();
    /// @}

    /** @name Viewer inherited
      */
    /// @{
    /// refresh the view (can be interesting to know which other viewer is calling this)
    virtual void refresh(Viewer* whoIsAsking = nullptr) override;

    /// get the viewer widget.
    virtual QWidget* getWidget() override;
    /// @}

private:

    /// The viewer's widget
    QWidget* myWidget;

};

#endif // @HEADDEF@_H

